/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_DMSERVICE_DMSERVICE_COMMON_H
#define JAC_AP_DMSERVICE_DMSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_decision4sm.h"
#include "dpc/impl_type_objecttrim.h"
#include "dpc/impl_type_decision4long.h"
#include "dpc/impl_type_decision4lat.h"
#include "dpc/impl_type_dm2longrefline.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace dmservice {

class DMService {
public:
    constexpr DMService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/DMService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace dmservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_DMSERVICE_DMSERVICE_COMMON_H
